Index: stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionVariableImpactsView.cs
===================================================================
--- stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionVariableImpactsView.cs	(revision 17059)
+++ stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Classification/ClassificationSolutionVariableImpactsView.cs	(revision 17062)
@@ -120,5 +120,4 @@
 
       //Prepare arguments
-      var mainForm = (MainForm.WindowsForms.MainForm)MainFormManager.MainForm;
       var replMethod = (ClassificationSolutionVariableImpactsCalculator.ReplacementMethodEnum)replacementComboBox.Items[replacementComboBox.SelectedIndex];
       var factorReplMethod = (ClassificationSolutionVariableImpactsCalculator.FactorReplacementMethodEnum)factorVarReplComboBox.Items[factorVarReplComboBox.SelectedIndex];
@@ -126,7 +125,5 @@
 
       variableImpactsArrayView.Caption = Content.Name + " Variable Impacts";
-      progress = mainForm.AddOperationProgressToView(this, "Calculating variable impacts for " + Content.Name);
-      progress.ProgressValue = 0;
-
+      progress = Progress.Show(this, "Calculating variable impacts for " + Content.Name);
       cancellationToken = new CancellationTokenSource();
 
@@ -146,7 +143,6 @@
         rawVariableImpacts.AddRange(impacts);
         UpdateOrdering();
-      }
-      finally {
-        ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).RemoveOperationProgressFromView(this);
+      } finally {
+        Progress.Hide(this);
       }
     }
@@ -175,5 +171,5 @@
         if (cancellationToken.Token.IsCancellationRequested) { return null; }
         progress.ProgressValue = (double)++i / count;
-        progress.Status = string.Format("Calculating impact for variable {0} ({1} of {2})", variableName, i, count);
+        progress.Message = string.Format("Calculating impact for variable {0} ({1} of {2})", variableName, i, count);
 
         double impact = 0;
Index: stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/MenuItems/ShrinkDataAnalysisRunsMenuItem.cs
===================================================================
--- stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/MenuItems/ShrinkDataAnalysisRunsMenuItem.cs	(revision 17059)
+++ stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/MenuItems/ShrinkDataAnalysisRunsMenuItem.cs	(revision 17062)
@@ -72,6 +72,6 @@
     public override void Execute() {
       IContentView activeView = (IContentView)MainFormManager.MainForm.ActiveView;
-      var mainForm = (MainForm.WindowsForms.MainForm)MainFormManager.MainForm;
-      mainForm.AddOperationProgressToContent(activeView.Content, "Removing duplicate datasets.");
+      var content = activeView.Content;
+      Progress.Show(content, "Removing duplicate datasets.", ProgressMode.Indeterminate);
 
       Action<IContentView> action = (view) => DatasetUtil.RemoveDuplicateDatasets(view.Content);
@@ -79,5 +79,5 @@
       action.BeginInvoke(activeView, delegate (IAsyncResult result) {
         action.EndInvoke(result);
-        mainForm.RemoveOperationProgressFromContent(activeView.Content);
+        Progress.Hide(content);
       }, null);
     }
Index: stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionVariableImpactsView.cs
===================================================================
--- stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionVariableImpactsView.cs	(revision 17059)
+++ stable/HeuristicLab.Problems.DataAnalysis.Views/3.4/Regression/RegressionSolutionVariableImpactsView.cs	(revision 17062)
@@ -111,6 +111,4 @@
 
     private async void UpdateVariableImpact() {
-      IProgress progress;
-
       //Check if the selection is valid
       if (Content == null) { return; }
@@ -120,5 +118,4 @@
 
       //Prepare arguments
-      var mainForm = (MainForm.WindowsForms.MainForm)MainFormManager.MainForm;
       var replMethod = (RegressionSolutionVariableImpactsCalculator.ReplacementMethodEnum)replacementComboBox.Items[replacementComboBox.SelectedIndex];
       var factorReplMethod = (RegressionSolutionVariableImpactsCalculator.FactorReplacementMethodEnum)factorVarReplComboBox.Items[factorVarReplComboBox.SelectedIndex];
@@ -126,7 +123,5 @@
 
       variableImpactsArrayView.Caption = Content.Name + " Variable Impacts";
-      progress = mainForm.AddOperationProgressToView(this, "Calculating variable impacts for " + Content.Name);
-      progress.ProgressValue = 0;
-
+      var progress = Progress.Show(this, "Calculating variable impacts for " + Content.Name);
       cancellationToken = new CancellationTokenSource();
 
@@ -148,5 +143,5 @@
       }
       finally {
-        ((MainForm.WindowsForms.MainForm)MainFormManager.MainForm).RemoveOperationProgressFromView(this);
+        Progress.Hide(this);
       }
     }
@@ -175,5 +170,5 @@
         if (cancellationToken.Token.IsCancellationRequested) { return null; }
         progress.ProgressValue = (double)++i / count;
-        progress.Status = string.Format("Calculating impact for variable {0} ({1} of {2})", variableName, i, count);
+        progress.Message = string.Format("Calculating impact for variable {0} ({1} of {2})", variableName, i, count);
 
         double impact = 0;
